| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParticipantBuiltinTopicData Struct Reference

`#include <ParticipantBuiltinTopicData.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | ParticipantBuiltinTopicData ()=default
| Default constructor.
FASTDDS_EXPORTED_API | ParticipantBuiltinTopicData (const VendorId_t vendor_id, const dds::DomainId_t domain_id, const RTPSParticipantAllocationAttributes &allocation)
| Constructor with allocation attributes.

## Public Attributes

BuiltinTopicKey_t | key
| Builtin topic Key.
dds::UserDataQosPolicy | user_data
| UserData QoS.
GUID_t | guid
| Participant GUID.
dds::ParameterPropertyList_t | properties
| Properties.
fastcdr::string_255 | participant_name
| Participant name.
RemoteLocatorList | metatraffic_locators
| Metatraffic locators.
RemoteLocatorList | default_locators
| Default locators.
dds::Duration_t | lease_duration
| Lease Duration.
VendorId_t | vendor_id
| Vendor id.
ProductVersion_t | product_version
| Product version.
dds::DomainId_t | domain_id
| Participant domain id.
fastcdr::optional< dds::WireProtocolConfigQos > | wire_protocol
| Wire Protocol Qos.

## Constructor & Destructor Documentation

## ◆ ParticipantBuiltinTopicData() [1/2]

FASTDDS_EXPORTED_API ParticipantBuiltinTopicData | ( |  | ) |

default

Default constructor.

## ◆ ParticipantBuiltinTopicData() [2/2]

FASTDDS_EXPORTED_API ParticipantBuiltinTopicData | ( | const VendorId_t | vendor_id,
|  | const dds::DomainId_t | domain_id,
|  | const RTPSParticipantAllocationAttributes & | allocation )

Constructor with allocation attributes.

## Member Data Documentation

## ◆ default_locators

RemoteLocatorList default_locators

Default locators.

## ◆ domain_id

dds::DomainId_t domain_id

Participant domain id.

## ◆ guid

GUID_t guid

Participant GUID.

## ◆ key

BuiltinTopicKey_t key

Builtin topic Key.

## ◆ lease_duration

dds::Duration_t lease_duration

Lease Duration.

## ◆ metatraffic_locators

RemoteLocatorList metatraffic_locators

Metatraffic locators.

## ◆ participant_name

fastcdr::string_255 participant_name

Participant name.

## ◆ product_version

ProductVersion_t product_version

Product version.

## ◆ properties

dds::ParameterPropertyList_t properties

Properties.

## ◆ user_data

dds::UserDataQosPolicy user_data

UserData QoS.

## ◆ vendor_id

VendorId_t vendor_id

Vendor id.

## ◆ wire_protocol

fastcdr::optional<dds::WireProtocolConfigQos> wire_protocol

Wire Protocol Qos.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/builtin/data/ParticipantBuiltinTopicData.hpp